# xoxys.jellyfin
  
[![Build Status](https://drone.rknet.org/api/badges/ansible/xoxys.jellyfin/status.svg)](https://drone.rknet.org/ansible/xoxys.jellyfin)


Setup a Jellyfin streaming server

## Table of content

* [Default Variables](#default-variables)
  * [jellyfin_base_dir](#jellyfin_base_dir)
  * [jellyfin_conf_dir](#jellyfin_conf_dir)
  * [jellyfin_data_dir](#jellyfin_data_dir)
  * [jellyfin_extra_groups](#jellyfin_extra_groups)
  * [jellyfin_group](#jellyfin_group)
  * [jellyfin_http_bind_port](#jellyfin_http_bind_port)
  * [jellyfin_https_bind_port](#jellyfin_https_bind_port)
  * [jellyfin_log_dir](#jellyfin_log_dir)
  * [jellyfin_log_level_console](#jellyfin_log_level_console)
  * [jellyfin_log_level_file](#jellyfin_log_level_file)
  * [jellyfin_packages_extra](#jellyfin_packages_extra)
  * [jellyfin_selinux_fcontext](#jellyfin_selinux_fcontext)
  * [jellyfin_selinux_restorecon](#jellyfin_selinux_restorecon)
  * [jellyfin_user](#jellyfin_user)
  * [jellyfin_user_home](#jellyfin_user_home)
  * [jellyfin_version](#jellyfin_version)
* [Dependencies](#dependencies)
* [License](#license)
* [Author](#author)

---

## Default Variables

### jellyfin_base_dir

#### Default value

```YAML
jellyfin_base_dir: /opt/jellyfin
```

### jellyfin_conf_dir

#### Default value

```YAML
jellyfin_conf_dir: '{{ jellyfin_base_dir }}/config'
```

### jellyfin_data_dir

#### Default value

```YAML
jellyfin_data_dir: '{{ jellyfin_base_dir }}/data'
```

### jellyfin_extra_groups

#### Default value

```YAML
jellyfin_extra_groups: []
```

### jellyfin_group

#### Default value

```YAML
jellyfin_group: '{{ jellyfin_user }}'
```

### jellyfin_http_bind_port

DONT change it! Changing the bind ports is currently not supported.

#### Default value

```YAML
jellyfin_http_bind_port: 8096
```

### jellyfin_https_bind_port

DONT change it! Changing the bind ports is currently not supported.

#### Default value

```YAML
jellyfin_https_bind_port: 8920
```

### jellyfin_log_dir

#### Default value

```YAML
jellyfin_log_dir: '{{ jellyfin_base_dir }}/log'
```

### jellyfin_log_level_console

Possible value: `Verbose | Debug | Information | Warning | Error | Fatal`. Beware that the values are case sensitive!

#### Default value

```YAML
jellyfin_log_level_console: Fatal
```

### jellyfin_log_level_file

#### Default value

```YAML
jellyfin_log_level_file: Information
```

### jellyfin_packages_extra

#### Default value

```YAML
jellyfin_packages_extra: []
```

### jellyfin_selinux_fcontext

#### Default value

```YAML
jellyfin_selinux_fcontext:
  - target: '{{ jellyfin_log_dir }}(/.*)?'
    setype: var_log_t
```

### jellyfin_selinux_restorecon

#### Default value

```YAML
jellyfin_selinux_restorecon:
  - -ir {{ jellyfin_log_dir }}
```

### jellyfin_user

#### Default value

```YAML
jellyfin_user: jellyfin
```

### jellyfin_user_home

#### Default value

```YAML
jellyfin_user_home: /home/{{ jellyfin_user }}
```

### jellyfin_version

#### Default value

```YAML
jellyfin_version: 10.3.7
```

## Dependencies

None.

## License

MIT

## Author

[xoxys](https://gitea.rknet.org/xoxys)
